import { PipeTransform } from '@angular/core';
import { I18nService } from './i18n.service';
import { DecimalPipe } from '@angular/common';
import * as i0 from "@angular/core";
export declare class NumberFormatPipe implements PipeTransform {
    protected i18nService: I18nService;
    protected decimalPipe: DecimalPipe;
    constructor(i18nService: I18nService, decimalPipe: DecimalPipe);
    transform(value: number, precision?: string, units?: string, priorSymbol?: string, defaultSymbolWhenNull?: string, ...args: string[]): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<NumberFormatPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<NumberFormatPipe, "numberformat", false>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NumberFormatPipe>;
}
